Rivet::AxesDefinition Class Referenceabstract

Base class for projections which define a spatial basis. More...

`#include <AxesDefinition.hh>`

Inheritance diagram for Rivet::AxesDefinition:

## Public Member Functions

virtual | ~AxesDefinition ()
| Virtual destructor.
virtual const Projection * | clone () const =0
| Clone on the heap.
virtual const Vector3 & | axis1 () const =0
virtual const Vector3 & | axis2 () const =0
| The 2nd most significant ("major") axis.
virtual const Vector3 & | axis3 () const =0
| The least significant ("minor") axis.
Public Member Functions inherited from Rivet::Projection
virtual void | project (const Event &e)=0
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Additional Inherited Members

Protected Member Functions inherited from Rivet::Projection
virtual int | compare (const Projection &p) const =0
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Base class for projections which define a spatial basis.

A pure virtual interface for projections which define a set of 3 basis vectors. This allows e.g. Thrust and Sphericity to be used interchangeably as defining bases for e.g. hemisphere mass and broadening calculations.

Author
  Andy Buckley

## Member Function Documentation

## axis1()

virtual const Vector3& Rivet::AxesDefinition::axis1 | ( |  | ) | const

pure virtual

Axis accessors, in decreasing order of significance. The main axis.

Implemented in Rivet::Sphericity, Rivet::Thrust, and Rivet::Spherocity.

Referenced by Rivet::Hemispheres::project(), and ~AxesDefinition().

The documentation for this class was generated from the following file:

- include/Rivet/Projections/AxesDefinition.hh